commit:     02aa485159f7f98b6a316ea9ecb75d369fdf6a43
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 15 17:33:07 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Tue Aug 15 17:33:37 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=02aa4851

gnome-base/gnome-settings-daemon: version bump 3.24.2 → 3.24.3

Package-Manager: Portage-2.3.7, Repoman-2.3.3

 gnome-base/gnome-settings-daemon/Manifest          |   1 +
 .../files/3.24.3-optional.patch                    | 142 ++++++++++++++++++
 .../gnome-settings-daemon-3.24.3.ebuild            | 158 +++++++++++++++++++++
 3 files changed, 301 insertions(+)

diff --git a/gnome-base/gnome-settings-daemon/Manifest 
b/gnome-base/gnome-settings-daemon/Manifest
index a5f3d72f07b..bff715e5361 100644
--- a/gnome-base/gnome-settings-daemon/Manifest
+++ b/gnome-base/gnome-settings-daemon/Manifest
@@ -1,2 +1,3 @@
 DIST gnome-settings-daemon-3.22.2.tar.xz 1657132 SHA256 
0a1c1f9bce59a86617c45f77bd9cb99c6db38b96678a89d7ad2ab6b7bc6a1a01 SHA512 
7bbeb0b50d178bf951f5a8375703f3e2e88b7c5082ec7394df1f277dd08059e616118e003db23dcc175b92d803924b3927326d10a2101b7923dfb0e980d277e3
 WHIRLPOOL 
edae1afc97a314f3d90c7d77d9a456e74e9fe9059353e15a5a9b8318c32d2ebad792e7c9b7acaf54a8f3ea11a5de629f06d7bdb9cb3d5bff4f0621fe6a50683a
 DIST gnome-settings-daemon-3.24.2.tar.xz 1621368 SHA256 
4aa9d72644e3ee8a30096a38986b0e9543fca92f586c561f6c8a11fb8148dcca SHA512 
fa75a499750c9e8f8fd2c1af44d033e55f90f97ef39c4159fa58a2957aeae036b4ae505dede6333b640b0dfcd0400eacd3715aeb184fc021c1d787230b1a1f12
 WHIRLPOOL 
305f16567488b54be4f7ec359f4a1249c18de74e967a410e18fd4bc8b84748bd5146a3bd2b86852d9e6a37bc829b281e79a38c7a3cfcece5f80ae516d062780f
+DIST gnome-settings-daemon-3.24.3.tar.xz 1583044 SHA256 
68c46038bc32b7cbe933cc24fa9f1eb96127d9900c07627767ab0a802f948593 SHA512 
2450c3bb31746fe4883f194094cf79e94207e74d39c992107244d89f36c3ea373a33a2dca4a55af138f03fb4abd8733da4bacb215e2202bbc0976b566f8529a6
 WHIRLPOOL 
90fa96f9e1c641a63ba4eac2160f6fbc141f31009eaa93be7a4d3737d086553bb5f3fec7a75c32c2e9a364071216a36c578948f60d89867b6e12f8d12948dab4

diff --git a/gnome-base/gnome-settings-daemon/files/3.24.3-optional.patch 
b/gnome-base/gnome-settings-daemon/files/3.24.3-optional.patch
new file mode 100644
index 00000000000..5202f77d5dc
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/files/3.24.3-optional.patch
@@ -0,0 +1,142 @@
+From 7b7bbbeeb9fa422d5a291574910e0881fa13f171 Mon Sep 17 00:00:00 2001
+From: Ole Reifschneider <[email protected]>
+Date: Tue, 15 Aug 2017 18:51:42 +0200
+Subject: [PATCH] Make colord and wacom support optional
+
+Signed-off-by: Gilles Dartiguelongue <[email protected]>
+---
+ configure.ac              | 54 +++++++++++++++++++++++++++++++----------------
+ plugins/Makefile.am       |  9 ++++++--
+ plugins/dummy/Makefile.am |  5 ++++-
+ 3 files changed, 47 insertions(+), 21 deletions(-)
+
+diff --git a/configure.ac b/configure.ac
+index 73fe91e6..d8778c93 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -158,13 +158,23 @@ PKG_CHECK_MODULES(CLIPBOARD,
+                 gtk+-x11-3.0
+                 x11)
+ 
+-PKG_CHECK_MODULES(COLOR,
+-                colord >= 1.0.2
+-                gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION
+-                libcanberra-gtk3
+-                libgeoclue-2.0 >= $GEOCLUE_REQUIRED_VERSION
+-                lcms2 >= $LCMS_REQUIRED_VERSION
+-                libnotify)
++AC_ARG_ENABLE([color],
++  AS_HELP_STRING([--disable-color],
++                 [turn off color plugin]),
++       [],
++       [enable_color=yes])
++
++AS_IF([test "$enable_color" = "yes"],
++      [PKG_CHECK_MODULES(COLOR,
++                         colord >= 1.0.2
++                         gnome-desktop-3.0 >= $GNOME_DESKTOP_REQUIRED_VERSION
++                         libcanberra-gtk3
++                         libgeoclue-2.0 >= $GEOCLUE_REQUIRED_VERSION
++                         lcms2 >= $LCMS_REQUIRED_VERSION
++                         libnotify)
++       AC_DEFINE(HAVE_COLOR, 1, [Define if color plugin is enabled])
++      ])
++AM_CONDITIONAL(BUILD_COLOR, test "x$enable_color" = "xyes")
+ 
+ PKG_CHECK_MODULES(DATETIME,
+                 libnotify >= $LIBNOTIFY_REQUIRED_VERSION
+@@ -268,23 +278,31 @@ case $host_os in
+     if test "$host_cpu" = s390 -o "$host_cpu" = s390x; then
+       have_wacom=no
+     else
+-      if test x$enable_gudev != xno; then
+-        LIBWACOM_PKG="libwacom >= $LIBWACOM_REQUIRED_VERSION"
+-        PKG_CHECK_MODULES(LIBWACOM, [libwacom >= $LIBWACOM_REQUIRED_VERSION])
+-        PKG_CHECK_MODULES(WACOM, [gtk+-3.0 pango >= $PANGO_REQUIRED_VERSION])
+-        PKG_CHECK_MODULES(WACOM_OLED, [gudev-1.0])
+-      else
+-        AC_MSG_ERROR([GUdev is necessary to compile Wacom support])
+-      fi
+-      AC_DEFINE_UNQUOTED(HAVE_WACOM, 1, [Define to 1 if wacom support is 
available])
+-      have_wacom=yes
++      have_wacom=no
++      AS_IF([test "$enable_gudev" != "no"],
++        [AC_ARG_ENABLE([wacom],
++           AS_HELP_STRING([--disable-wacom],
++                          [turn off wacom plugin]),
++                          [],
++                          [enable_wacom=no]) dnl Default value
++         AS_IF([test "$enable_wacom" = "yes"],
++               [
++                 PKG_CHECK_MODULES(LIBWACOM, [libwacom >= 
$LIBWACOM_REQUIRED_VERSION])
++                 PKG_CHECK_MODULES(WACOM, [gtk+-3.0 pango >= 
$PANGO_REQUIRED_VERSION])
++                 PKG_CHECK_MODULES(WACOM_OLED, [gudev-1.0])
++                 have_wacom=yes
++                 AC_DEFINE_UNQUOTED(HAVE_WACOM, 1, [Define to 1 if wacom 
support is available])
++               ])
++        ], [
++          AC_MSG_ERROR([GUdev is necessary to compile Wacom support])
++        ])
+     fi
+     ;;
+   *)
+     have_wacom=no
+     ;;
+ esac
+-AM_CONDITIONAL(HAVE_WACOM, test x$have_wacom = xyes)
++AM_CONDITIONAL(BUILD_WACOM, test x$have_wacom = xyes)
+ 
+ dnl 
---------------------------------------------------------------------------
+ dnl - common
+diff --git a/plugins/Makefile.am b/plugins/Makefile.am
+index 9324b406..ee78d6d0 100644
+--- a/plugins/Makefile.am
++++ b/plugins/Makefile.am
+@@ -4,7 +4,6 @@ enabled_plugins =      \
+       a11y-keyboard   \
+       a11y-settings   \
+       clipboard       \
+-      color           \
+       datetime        \
+       dummy           \
+       power           \
+@@ -22,13 +21,19 @@ enabled_plugins =  \
+ 
+ disabled_plugins = $(NULL)
+ 
++if BUILD_COLOR
++enabled_plugins += color
++else
++disabled_plugins += color
++endif
++
+ if SMARTCARD_SUPPORT
+ enabled_plugins += smartcard
+ else
+ disabled_plugins += smartcard
+ endif
+ 
+-if HAVE_WACOM
++if BUILD_WACOM
+ enabled_plugins += wacom
+ else
+ disabled_plugins += wacom
+diff --git a/plugins/dummy/Makefile.am b/plugins/dummy/Makefile.am
+index cb5856cf..d8e8bc4e 100644
+--- a/plugins/dummy/Makefile.am
++++ b/plugins/dummy/Makefile.am
+@@ -25,7 +25,10 @@ desktop_DATA =
+ if !SMARTCARD_SUPPORT
+ desktop_DATA += org.gnome.SettingsDaemon.Smartcard.desktop
+ endif
+-if !HAVE_WACOM
++if !BUILD_COLOR
++desktop_DATA += org.gnome.SettingsDaemon.Color.desktop
++endif
++if !BUILD_WACOM
+ desktop_DATA += org.gnome.SettingsDaemon.Wacom.desktop
+ endif
+ if !BUILD_PRINT_NOTIFICATIONS
+-- 
+2.14.0
+

diff --git 
a/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.3.ebuild 
b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.3.ebuild
new file mode 100644
index 00000000000..f0967c3d950
--- /dev/null
+++ b/gnome-base/gnome-settings-daemon/gnome-settings-daemon-3.24.3.ebuild
@@ -0,0 +1,158 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_EAUTORECONF="yes"
+GNOME2_LA_PUNT="yes"
+#PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} ) # 
https://bugzilla.gnome.org/show_bug.cgi?id=783186
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2 python-any-r1 systemd udev virtualx
+
+DESCRIPTION="Gnome Settings Daemon"
+HOMEPAGE="https://git.gnome.org/browse/gnome-settings-daemon";
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="+colord +cups debug input_devices_wacom -openrc-force networkmanager 
policykit smartcard test +udev wayland"
+REQUIRED_USE="
+       input_devices_wacom? ( udev )
+       smartcard? ( udev )
+"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd 
~amd64-linux ~x86-linux ~x86-solaris"
+
+COMMON_DEPEND="
+       >=dev-libs/glib-2.44.0:2[dbus]
+       >=x11-libs/gtk+-3.15.3:3[X]
+       >=gnome-base/gnome-desktop-3.11.1:3=
+       >=gnome-base/gsettings-desktop-schemas-3.23.3
+       >=gnome-base/librsvg-2.36.2:2
+       media-fonts/cantarell
+       media-libs/alsa-lib
+       media-libs/fontconfig
+       media-libs/libcanberra[gtk3]
+       >=media-sound/pulseaudio-2
+       >=sys-power/upower-0.99:=
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       >=x11-libs/libnotify-0.7.3:=
+       x11-libs/libX11
+       x11-libs/libxkbfile
+       x11-libs/libXi
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXtst
+       x11-libs/libXxf86misc
+       x11-misc/xkeyboard-config
+
+       >=app-misc/geoclue-2.3.1:2.0
+       >=dev-libs/libgweather-3.9.5:2=
+       >=sci-geosciences/geocode-glib-3.10
+       >=sys-auth/polkit-0.103
+
+       colord? (
+               >=media-libs/lcms-2.2:2
+               >=x11-misc/colord-1.0.2:= )
+       cups? ( >=net-print/cups-1.4[dbus] )
+       input_devices_wacom? (
+               >=dev-libs/libwacom-0.7
+               >=x11-libs/pango-1.20
+               x11-drivers/xf86-input-wacom
+               virtual/libgudev:= )
+       networkmanager? ( >=net-misc/networkmanager-1.0 )
+       smartcard? ( >=dev-libs/nss-3.11.2 )
+       udev? ( virtual/libgudev:= )
+       wayland? ( dev-libs/wayland )
+"
+# Themes needed by g-s-d, gnome-shell, gtk+:3 apps to work properly
+# <gnome-color-manager-3.1.1 has file collisions with g-s-d-3.1.x
+# <gnome-power-manager-3.1.3 has file collisions with g-s-d-3.1.x
+# systemd needed for power and session management, bug #464944
+RDEPEND="${COMMON_DEPEND}
+       gnome-base/dconf
+       !openrc-force? ( sys-apps/systemd )
+       !<gnome-base/gnome-control-center-2.22
+       !<gnome-extra/gnome-color-manager-3.1.1
+       !<gnome-extra/gnome-power-manager-3.1.3
+       !<gnome-base/gnome-session-3.23.2
+"
+# xproto-7.0.15 needed for power plugin
+DEPEND="${COMMON_DEPEND}
+       cups? ( sys-apps/sed )
+       test? (
+               ${PYTHON_DEPS}
+               $(python_gen_any_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+               $(python_gen_any_dep 'dev-python/dbusmock[${PYTHON_USEDEP}]')
+               gnome-base/gnome-session )
+       dev-libs/libxml2:2
+       sys-devel/gettext
+       >=dev-util/intltool-0.40
+       virtual/pkgconfig
+       x11-proto/inputproto
+       x11-proto/xf86miscproto
+       x11-proto/kbproto
+       >=x11-proto/xproto-7.0.15
+"
+
+# TypeErrors with python3; weird test errors with python2; all in power 
component that was made required now
+RESTRICT="test"
+# RESTRICT="!test? ( test )"
+
+PATCHES=(
+       # Make colord and wacom optional; requires eautoreconf
+       "${FILESDIR}"/${PV}-optional.patch
+       # Allow specifying udevrulesdir via configure, bug 509484; requires 
eautoreconf
+       "${FILESDIR}"/3.24.2-udevrulesdir-configure.patch
+       # Reduce memory usage by not initing GTK+ where not needed
+       "${FILESDIR}"/3.24.2-remove-unneeded-gtk-init.patch
+       # Reduce memory usage by using a fake CSS theme instead of full Adwaita 
for GTK+ needing plugins; requires eautoreconf
+       "${FILESDIR}"/3.24.2-reduce-memory-usage.patch
+)
+
+python_check_deps() {
+       if use test; then
+               has_version "dev-python/pygobject:3[${PYTHON_USEDEP}]" &&
+               has_version "dev-python/dbusmock[${PYTHON_USEDEP}]"
+       fi
+}
+
+pkg_setup() {
+       use test && python-any-r1_pkg_setup
+}
+
+src_configure() {
+       gnome2_src_configure \
+               --disable-static \
+               --with-udevrulesdir="$(get_udevdir)"/rules.d \
+               $(use_enable colord color) \
+               $(use_enable cups) \
+               $(use_enable debug) \
+               $(use_enable debug more-warnings) \
+               $(use_enable networkmanager network-manager) \
+               $(use_enable smartcard smartcard-support) \
+               $(use_enable udev gudev) \
+               $(use_enable input_devices_wacom wacom) \
+               $(use_enable wayland)
+}
+
+src_test() {
+       virtx emake check
+}
+
+pkg_postinst() {
+       gnome2_pkg_postinst
+
+       if ! systemd_is_booted; then
+               ewarn "${PN} needs Systemd to be *running* for working"
+               ewarn "properly. Please follow the this guide to migrate:"
+               ewarn "https://wiki.gentoo.org/wiki/Systemd";
+       fi
+
+       if use openrc-force; then
+               ewarn "You are enabling 'openrc-force' USE flag to skip systemd 
requirement,"
+               ewarn "this can lead to unexpected problems and is not 
supported neither by"
+               ewarn "upstream neither by Gnome Gentoo maintainers. If you 
suffer any problem,"
+               ewarn "you will need to disable this USE flag system wide and 
retest before"
+               ewarn "opening any bug report."
+       fi
+}


Reply via email to